extends layout.pug

block navigation
    a#settingsLnk.button(href='/settings') Paramètres
    i =>
    a#bikesLnk.button.button-outline(href='/settings/contracts') Contrats

block content
    #heading
        h1 Paramètres
        p Paramètres des données de type Contrat
    .row 
        hr
    #import
        h2 Import JSON
        p Importer un nouveau fichier json pour les contrats.
        form(action="/newFile", method="post")
            .row
                #jsonInput.column
                    label(for='jsonFile') nouveau fichier json
                    input#jsonFile(type='file', name='jsonFile')
            .row
                #formActions.column
                    button.button-outline(type='reset') reset
                    button(type='submit') envoyer
    .row
        hr
    #contractsList
        h2 Liste de contrats
        p Liste détaillée des contrats avec liens
        table
            thead
                tr
                    th collectiveContractNumber
                    th employerCode
                    th year
                    th month
                    th codpar
                    th codparLabel
                    th amounts
                    td ...
            tbody
                - for (var i = 0; i < contracts.length; i++)
                    tr
                        td= contracts[i].collectiveContractNumber
                        td= contracts[i].employerCode
                        td= contracts[i].year
                        td= contracts[i].monthhr
                        td= contracts[i].codparLabel
                        td= JSON.stringify(contracts[i].amounts)
                        
                        td
                            a(href='/settings/contracts/' + contracts[i].collectiveContractNumber + '/' + contracts[i].employerCode + '/' + contracts[i].year + '/' + contracts[i].month + '/' + contracts[i].codpar) details
    .row 
        hr
    #contractForm
        h2 Nouveau contract
        p Créer un nouveau contrat via le formulaire
        form(action='', method='POST')
            .row
                #ccnInput.column
                    label(for='ccn') n° contrat collectif
                    input#ccn(type='text', name='ccn')
                #empCodeInput.column
                    label(for='empCode') code employeur
                    input#empCode(type='text', name='empCode')
            .row
                #yearInput.column
                    label(for='year') année
                    input#year(type='number', step="1", name='year')
                #monthInput.column
                    label(for='month') mois
                    input#month(type='number', step="1", name='month')
            .row
                #codparInput.column
                    label(for='codpar') codpar
                    input#codpar(type='text', name='codpar')
                #codparLabelInput.column
                    label(for='codparLabel') codparLabel
                    input#codparLabel(type='text', name='codparLabel')
            #amountsInput.column.row
                #dueInput.column
                    label(for='due') montant dû
                    input#due(type='number', step="0.01", name='due')
                #recallInput.column
                    label(for='recall') montant rappel
                    input#recall(type='number', step="0.01", name='recall')
                #overPaymentInput.column
                    label(for='overPayment') trop perçu
                    input#overPayment(type='number', step="0.01", name='overPayment')
            .row
                hr
            #formActions.column.row
                .column
                .column
                button.column.button-outline(type='reset') reset
                button.column(type='submit') envoyer